Unbind
Teams

Update Team

Update a team's name or description.

PUT
/teams/update

Update a team's name or description.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

description*string|null
name*string

Has to be unique

Length1 <= length <= 32
team_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/teams/update" \  -H "Content-Type: application/json" \  -d '{    "description": "string",    "name": "string",    "team_id": "string"  }'
{  "data": {    "created_at": "2019-08-24T14:15:22Z",    "description": "string",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "kubernetes_name": "string",    "name": "string",    "permissions": [      "admin"    ]  }}